explain_acl_get_fd_or_die(3)

NAME
explain_acl_get_fd_or_die - Execute acl_get_fd(3) and report errors

SYNOPSIS
#include <libexplain/acl_get_fd.h>

acl_t explain_acl_get_fd_or_die(int fildes);
acl_t explain_acl_get_fd_on_error(int fildes);

DESCRIPTION
The explain_acl_get_fd_or_die function is used to call the acl_get_fd(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_acl_get_fd(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_acl_get_fd_on_error function is used to call the acl_get_fd(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_acl_get_fd(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the acl_get_fd(3) system call.

RETURN VALUE
The explain_acl_get_fd_or_die function only returns on success, see acl_get_fd(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_acl_get_fd_on_error function always returns the value return by the wrapped acl_get_fd(3) system call.

EXAMPLE
The explain_acl_get_fd_or_die function is intended to be used in a fashion similar to the following example:
    explain_acl_get_fd_or_die(fildes);

SEE ALSO

acl_get_fd(3)
    Execute acl_get_fd(3)

explain_acl_get_fd(3)
    explain acl_get_fd(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller